MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029885Open CASCADE[OCCT] OCCT:Visualizationpublic2018-06-20 14:092018-06-30 12:48
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029885: Visualization, AIS_Manipulator - Translation is done in wrong direction depending on Camera orientation
DescriptionIn some conditions AIS_Manipulator performs translation in opposite direction depending on Camera orientation.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 500 500 1 50 100  150
vclear
vinit View1
vzbufftrihedron
vcamera -persp
vaxo
vdisplay -dispMode 1 b
vfit
vmanipulator m -attach b
vmanipulator m -part 0 2 0
vmanipulator m -part 1 2 0
vmanipulator m -part 2 2 0
vmanipulator m -part 0 3 0
vmanipulator m -part 1 3 0
vmanipulator m -part 2 3 0
vmanipulator m -part 2 1 0
vselmode m 2 0
vselmode m 3 0

# if this block is uncommented - second block works as expected
#vmoveto 240 190;
#vselect 240 190;
#vmanipulator m -startTransform 240 190;
#vmanipulator m -transform 240 191;
#vmanipulator m -stopTransform abort

vmoveto 245 220;
vselect 245 220;
vmanipulator m -startTransform 245 220;
vmanipulator m -transform 340 265;
vmanipulator m -stopTransform
if {[vreadpixel 370 300 rgb name] == "BLACK" } { puts "Error" }

Result: object is translated in opposite direction.
TagsNo tags attached.
Test case numberv3d/manipulator/translate2
Attached Files

- Relationships

-  Notes
(0076848)
git (administrator)
2018-06-20 14:58

Branch CR29885 has been created by kgv.

SHA-1: e5b7237fb6f8151fe1e227d9ee4a5bca2f02b608


Detailed log of new commits:

Author: kgv
Date: Wed Jun 20 14:56:09 2018 +0300

    0029885: Visualization, AIS_Manipulator - Translation is done in wrong direction depending on Camera orientation
    
    AIS_Manipulator::ObjectTransformation() no more uses undefined point for myStartPick initialization within AIS_MM_Translation mode.
    AIS_MM_Scaling cas has been merged into AIS_MM_Translation to reduce code duplication.
    Extrema_ExtElC/IntAna_IntConicQuad are now used directly
    instead of more generic GeomAPI_ExtremaCurveCurve/GeomAPI_IntCS.
(0076852)
kgv (developer)
2018-06-20 15:58

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR29885-master-KGV/ [^]
(0076859)
bugmaster (administrator)
2018-06-20 20:43

Combination -
OCCT branch : CR29885 SHA - e5b7237fb6f8151fe1e227d9ee4a5bca2f02b608
Products branch : master SHA - 9ac004afdb7f325fbc12a45c765b6a8f88d4dc98
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17074.719999999827 / 17008.500000000095 [+0.39%]
Products
Total CPU difference: 7474.790000000037 / 7460.130000000034 [+0.20%]
Windows-64-VC10:
OCCT
Total CPU difference: 16884.22223149855 / 16834.91031539858 [+0.29%]
Products
Total CPU difference: 8222.765909699896 / 8259.114142699882 [-0.44%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076868)
git (administrator)
2018-06-21 14:15

Branch CR29885_730 has been created by kgv.

SHA-1: 7d3e24e79a97b05007576c2a0d8a5985f9e23fb2


Detailed log of new commits:

Author: kgv
Date: Wed Jun 20 14:56:09 2018 +0300

    0029885: Visualization, AIS_Manipulator - Translation is done in wrong direction depending on Camera orientation
    
    AIS_Manipulator::ObjectTransformation() no more uses undefined point for myStartPick initialization within AIS_MM_Translation mode.
    AIS_MM_Scaling cas has been merged into AIS_MM_Translation to reduce code duplication.
    Extrema_ExtElC/IntAna_IntConicQuad are now used directly
    instead of more generic GeomAPI_ExtremaCurveCurve/GeomAPI_IntCS.
(0077029)
git (administrator)
2018-06-25 13:58

Branch CR29885 has been deleted by kgv.

SHA-1: e5b7237fb6f8151fe1e227d9ee4a5bca2f02b608

- Related Changesets
occt: master d34f2a7f
Timestamp: 2018-06-20 11:56:09
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029885: Visualization, AIS_Manipulator - Translation is done in wrong direction depending on Camera orientation

AIS_Manipulator::ObjectTransformation() has ceased to use undefined point for myStartPick initialization within AIS_MM_Translation mode.
AIS_MM_Scaling case has been merged into AIS_MM_Translation to reduce code duplication.
Extrema_ExtElC/IntAna_IntConicQuad are now used directly instead of more generic GeomAPI_ExtremaCurveCurve/GeomAPI_IntCS.
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
add - tests/v3d/manipulator/translate2 Diff ] File ]
occt: master 12280e4b
Timestamp: 2018-06-20 11:56:09
Author: kgv
Details ] Diff ]
0029885: Visualization, AIS_Manipulator - Translation is done in wrong direction depending on Camera orientation

AIS_Manipulator::ObjectTransformation() has ceased to use undefined point for myStartPick initialization within AIS_MM_Translation mode.
AIS_MM_Scaling cas has been merged into AIS_MM_Translation to reduce code duplication.
Extrema_ExtElC/IntAna_IntConicQuad are now used directly instead of more generic GeomAPI_ExtremaCurveCurve/GeomAPI_IntCS.
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
add - tests/v3d/manipulator/translate2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-20 14:09 kgv New Issue
2018-06-20 14:09 kgv Assigned To => kgv
2018-06-20 14:27 kgv Steps to Reproduce Updated View Revisions
2018-06-20 14:28 kgv Product Version 7.3.0 => 7.1.0
2018-06-20 14:58 git Note Added: 0076848
2018-06-20 15:58 kgv Note Added: 0076852
2018-06-20 15:58 kgv Assigned To kgv => aba
2018-06-20 15:58 kgv Status new => resolved
2018-06-20 18:06 aba Assigned To aba => bugmaster
2018-06-20 18:06 aba Status resolved => reviewed
2018-06-20 18:09 kgv Relationship added child of 0027038
2018-06-20 20:41 bugmaster Test case number => v3d/manipulator/translate2
2018-06-20 20:43 bugmaster Note Added: 0076859
2018-06-20 20:43 bugmaster Status reviewed => tested
2018-06-21 14:15 git Note Added: 0076868
2018-06-23 19:05 bugmaster Changeset attached => occt master d34f2a7f
2018-06-23 19:05 bugmaster Status tested => verified
2018-06-23 19:05 bugmaster Resolution open => fixed
2018-06-25 13:58 git Note Added: 0077029
2018-06-30 12:48 kgv Changeset attached => occt master 12280e4b
2018-06-30 12:48 kgv Assigned To bugmaster => kgv


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker